$tag-height: auto !default;
$tag-margin: 0 !default;
$tag-padding: 2px 4px !default;
$tag-spacing: 5px !default;
$tag-font-size: map-get($font-sizes, 'tiny') !default;
$tag-font-weight: bold !default;
$tag-line-height: rhythm(.5) !default;
$tag-text-transform: capitalize !default;
$tag-text-color: color('tertiary', 'dark', 10) !default;
$tag-background: color('tertiary', 'alpha', 40) !default;
$tag-border: (
  width: 0,
  color: transparent,
  radius: 7px
) !default;

$tag-colors: (
  success: (
    text:       color('green', 'dark', 10),
    background: color('green', 'alpha', 20),
    border:     transparent,
  ),

  warning: (
    text:       color('orange', 'dark', 10),
    background: color('orange', 'alpha', 20),
    border:     transparent,
  ),

  alert: (
    text:       color('red', 'dark', 10),
    background: color('red', 'alpha', 20),
    border:     transparent,
  ),

  info: (
    text:       color('cyan', 'dark', 10),
    background: color('cyan', 'alpha', 20),
    border:     transparent,
  ),

  active: (
    text:       map-get($text-colors, 'hover'),
    background: color('blue', 'alpha', 20),
    border:     transparent,
  ),
) !default;


/// Tag functions and mixins

@mixin coloured-tag($color: 'default') {
  color: map-deep-get($tag-colors, $color, 'text');
  background-color: map-deep-get($tag-colors, $color, 'background');
  border-color: map-deep-get($tag-colors, $color, 'border');
}


.#{$namespace}-tag {
  @include set-border($tag-border, $tag-padding);
  @include set-background($tag-background);

  display: inline-flex;
  flex-direction: row;
  align-items: center;

  height: $tag-height;
  margin: $tag-margin;

  font-size: $tag-font-size;
  font-weight: $tag-font-weight;
  line-height: $tag-line-height;
  text-align: center;
  text-decoration: none;
  text-indent: 0;

  overflow: hidden;
  white-space: nowrap;
  vertical-align: middle;
  text-transform: $tag-text-transform;
  color: $tag-text-color;

  & + & {
    margin-left: $tag-spacing;
  }

  &--success {
    @include coloured-tag('success');
  }

  &--warning {
    @include coloured-tag('warning');
  }

  &--alert {
    @include coloured-tag('alert');
  }

  &--info {
    @include coloured-tag('info');
  }

  &--active {
    @include coloured-tag('active');
  }
}



